package com.asset.common;

import com.aliyun.oss.OSSClient;
import com.aliyun.oss.OSSClientBuilder;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.multipart.MultipartFile;
import java.io.IOException;
import java.net.URL;
import java.util.Date;
import java.util.UUID;

public class Oss {

    private static OSSClient ossClient;

    private String host = "oss-cn-hangzhou.aliyuncs.com";
    // 云账号AccessKey
    private String accessKeyId = "LTAIEoqNt1a3BdX2";

    private String accessKeySecret = "odmtOmumDOoj7qE1f1Ry135mfMbMXz";

    private static String bucketName = "ecrrc-production-member";


    public Oss() {
        ossClient = new OSSClient(host, accessKeyId, accessKeySecret);
    }

    /**
     * 初始化
     */
    public void init() {
        ossClient = new OSSClient(host, accessKeyId, accessKeySecret);
    }

    /**
     * 上传图片
     * @param file  图片文件流
     * @param folder  图片保存文件夹路径
     * @return
     */
    public String ossUpload(@RequestParam("file") MultipartFile file, String folder){
        // 上传文件流。
        // 保存路径，注意：这里不要以 / 或 \ 开头
        String Path = folder;
        String originalFilename = file.getOriginalFilename();
        String fileName = Path + "/" + UUID.randomUUID().toString().replace("-","") + originalFilename.substring(originalFilename.lastIndexOf("."));
        try {
            ossClient.putObject(bucketName, fileName, file.getInputStream());
        } catch (IOException e) {
            e.printStackTrace();
        }
        // 关闭OSSClient。
        ossClient.shutdown();
        return getUrl(fileName);
    }

    /**
     * 获得url链接
     * @param key  图片的短路径和名称:/app/expert/05a83ee3c3e14cdaad8fc51e109695cf.png
     * @return
     */
    public static String getUrl(String key) {
        // 设置URL过期时间为10年  3600l* 1000*24*365*10
        Date expiration = new Date(new Date().getTime() + 3600l* 1000*24*365*10);
        // 生成URL
        URL url = ossClient.generatePresignedUrl(bucketName, key, expiration);
        if (url != null) {
            return url.toString();
        }
        return null;
    }
}
