package com.asset.controller.admin;

import com.asset.common.ResultUtil;
import com.asset.domain.Result;
import com.asset.domain.system.FailLog;
import com.asset.core.enums.CodeEnum;
import com.asset.service.system.FailLogService;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import java.util.List;

/*
 * @author xiaol
 * @date 2020/03/06
 */

@RestController
@RequestMapping(value = "/faillog")
public class FailLogController {

    @Autowired
    FailLogService failLogService;

    @GetMapping("/getFailLogByUid")
    public Result getFailLogByUid(int user_id) {
        QueryWrapper<FailLog> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("userid",user_id);
        List<FailLog> list = failLogService.list(queryWrapper);
        return ResultUtil.success(CodeEnum.SUCCESS,list);
    }
}
